## GogStyledObject

GogStyledObject

## Synopsis

    #include <goffice/graph/gog-styled-object.h>

                        GogStyledObject;

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogOutlinedObject
                   +----GogTrendLine
                   +----GogAxisBase
                   +----GogGridLine
                   +----GogSeriesLines
                   +----GogGrid
                   +----GogSeriesElement
                   +----GogSeries

## Implemented Interfaces

GogStyledObject implements GOStyledObject.

## Properties

      "style"                    GogStyle*             : Read / Write

## Signals

      "style-changed"                                  : Run Last

## Description

## Details

### GogStyledObject

    typedef struct _GogStyledObject GogStyledObject;

## Property Details

### The `"style"` property

      "style"                    GogStyle*             : Read / Write

A pointer to the GOStyle object.

## Signal Details

### The `"style-changed"` signal

    void                user_function                      (GogStyledObject *gogstyledobject,
                                                            GObject         *arg1,
                                                            gpointer         user_data)            : Run Last

`gogstyledobject` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.